<?php

/**
 * NOTE: This file is auto generated by OpenAPI Generator.
 * Do NOT edit it manually. Run `php artisan openapi:generate-server`.
 */

namespace App\Http\ApiV1\OpenApiGenerated\Enums;

class CmsBannerButtonLocationEnum
{
    public const LOCATION_TOP_LEFT = 'top_left';
    public const LOCATION_TOP = 'top';
    public const LOCATION_TOP_RIGHT = 'top_right';
    public const LOCATION_RIGHT = 'right';
    public const LOCATION_BOTTOM_RIGHT = 'bottom_right';
    public const LOCATION_BOTTOM = 'bottom';
    public const LOCATION_BOTTOM_LEFT = 'bottom_left';
    public const LOCATION_LEFT = 'left';

    /**
     * @return string[]
     */
    public static function cases(): array
    {
        return [
            self::LOCATION_TOP_LEFT,
            self::LOCATION_TOP,
            self::LOCATION_TOP_RIGHT,
            self::LOCATION_RIGHT,
            self::LOCATION_BOTTOM_RIGHT,
            self::LOCATION_BOTTOM,
            self::LOCATION_BOTTOM_LEFT,
            self::LOCATION_LEFT,
        ];
    }
}
